httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Schaefer <joe+gm...@sunstarsys.com>
Subject apr-related ABI issues for apreq2 packagers
Date Fri, 21 Jan 2005 17:51:41 GMT

Currently libapreq2 is source-compatible with the 
0.9.x and 1.x versions of libapr and libaprutil.
One issue that a package manager might need to
deal with, if they're installing libapreq2 in a 
system-wide location like /usr/lib or /usr/local/lib,
is which of apr's ABI to compile it against.  Whatever
choice they make will only work for one of httpd's
2.0 or 2.2.

One thought that comes to mind is to encourage
such people to tweak our major number to suit
their needs (but not change the "libapreq2"
library name).  In other words, they might
choose to reduce our current major number 
from 2 to 0 when compiling against libapr-0,
from 2 to 1 when compiling against libapr-1,

    libapreq2.so.0.0.24 (ABI-compat with apr-0)
    libapreq2.so.1.0.24 (ABI-compat with apr-1)


But as far as we're concerned, we don't specify
which apr ABI they should choose, and the libapreq2.so
we produce will always have major-number 2. We 
offer source code, and so long as we play by the 
normal versioning rules, I think that's good 
enough for us here.

What do you think of this?

-- 
Joe Schaefer


Mime
View raw message